<template>
    <div id="login">
        <h1>Login</h1>
        <input type="text" name="username" v-model="input.username" placeholder="Username" />
        <input type="password" name="password" v-model="input.password" placeholder="Password" />
        <button type="button" v-on:click="login()">Login</button>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex'

    export default {
        name: 'Login',
        data() {
            return {
                input: {
                    username: "",
                    password: ""
                }
            }
        },
        computed: {
          ...mapGetters('auth', {
            token: 'getToken',
          })
        },
        methods: {
            login() {
                if(this.input.username != "" && this.input.password != "") {
                    console.log('clicking login')
                    this.$store.dispatch("auth/login", { email: this.input.username, password: this.input.password })
                    .then(() => {
                      this.$router.push({ name: "dashboard" })
                    });
                } else {
                    console.log("A username and password must be present");
                }
            }
        }
    }
</script>